/**
 * 业务配置
 * */
const url = location.host;
const isDev = process.env.NODE_ENV === 'development' // 开发环境
const isGta = url.includes('139.159.254.212'); // 国泰安
let host = `${location.origin}/`
if (isDev) {
  host = 'http://192.168.31.217:10000/'
  host = 'https://huorantech.com'
}

const Setting = {
  /**
  * 基础配置
  * */
  titleSuffix: location.href.includes('eduvessel') ? '慧教云舟' : '职站商城', // 网页标题的后缀
  routerMode: "hash", // 路由模式，可选值为 history 或 hash
  apiBaseURL: host, // 接口请求地址
  huoranApi: `https://www.occupationlab.com`,
  autoLogoutTime: 3600000, // 长时间未操作，自动退出登录时间
  modalDuration: 3, // 接口请求返回错误时，弹窗的持续时间，单位：秒
  errorModalType: "Message", // 接口请求返回错误时，弹窗的类型，可选值为 Message 或 Notice
  isDev,
  isGta,
  /**
  * 路由白名单
  * */
  whiteList: ['/column/result', '/aboutUs', '/supplier', '/previewPPT'],
  /**
  * 英文站点id数组
  * */
  enIds: [1, 4, 6],
  /**
  * localStorage里保存的vuex的key
  */
  storeKey: "huoran_client_store"
};

export default Setting;
